Skip to end of metadata
Go to start of metadata

Introduction

This page details system requirements that apply to Jitterbit Data Loader.

NOTE: Jitterbit Cloud Data Loader version 8.16.13.1 is compatible with TLS 1.2 and is backward compatible with TLS 1.0 and TLS 1.1.

Prerequisites

Windows

These are required for Jitterbit Data Loader installation on a Windows system:

  • Windows updates: Install all Windows security and "critical" updates prior to installing or upgrading Jitterbit Data Loader. There are known Microsoft issues when installing on systems that don’t have the latest updates (e.g. KB2966870 and KB3140245).
  • NTFS: The install partition must be NTFS-formatted.
  • Compression: It is not recommended to use Windows compression on the Jitterbit folder or temp folder on the machine where Jitterbit is installed and running because of the I/O involved by the nature of an integration application. Using Windows compression may drastically slow down processing of Jitterbit operations/transformations.

macOS

These are required for Jitterbit Data Loader installation on a macOS system:

  • macOS updates: Install all macOS security and "critical" updates prior to installing or upgrading Jitterbit Data Loader.

Operating System Requirements

Jitterbit recommends these operating system specifications for Jitterbit Data Loader.

NOTE: Jitterbit automatically installs the required Java Runtime Environment 8.x specifically for Jitterbit to use so that it does not conflict with other Java installations that may already be installed.

Windows

Jitterbit Data Loader is supported for these Windows versions:

  • 64-bit OS required
  • Windows 7 SP1 (64-bit)
  • Windows 8, 8.1
  • Windows 10
WARNING: Based on results of testing, Windows XP is NOT supported.

macOS

Jitterbit Data Loader is supported for these macOS versions:

  • Intel-based Apple macOS computer running macOS 10.8.3 to macOS 10.14.
NOTE: The Data Loader 8.16.13.1 installer originally released December 20, 2016 was not compatible with macOS 10.14 "Mojave". A new 8.16.13.1 installer that fixes this issue is available as of June 27, 2019 on the Downloads page of the Harmony Portal.

WARNING: Jitterbit Cloud Data Loader version 8.16.13.1, as it is a 32-bit application, is incompatible and will not run on macOS 10.15 "Catalina", which requires all applications to be 64-bit. You can use a virtual machine to run a pre-"Catalina" version of the macOS or a version of the Windows OS that supports the current Data Loader version.

Hardware Requirements

These are the minimum requirements for hardware and virtual machines for Jitterbit Data Loader:

  • Quad-core processor
  • 8 GB RAM
  • 50 GB hard drive space free

    NOTE: This includes space for the software, parallel processing, and temporary storage that can grow quite large while running an operation.
  • Minimum of 50 megabytes/second transfer rate on the hard drive
  • High-speed Internet connection
  • Either direct hardware installation, or installation on a virtual machine from VMWare, VirtualBox, Amazon AWS, or Rackspace that is configured for the specific versions outlined above
  • Optimal configuration of the system and overall environment

    WARNING: If not optimally configured, sporadic and unpredictable problems can result from poor disk IO, limited/out of memory, limited/out of disk space, power failures, and/or abrupt system restarts.
On This Page

Related Articles

Last updated:  Oct 18, 2019